com.mockobjects.jms

## Class MockTemporaryQueue

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockQueue
    - - com.mockobjects.jms.MockTemporaryQueue

All Implemented Interfaces:
  Verifiable

    public class MockTemporaryQueue
    extends MockQueue

### Constructor Summary

Constructors
Constructor and Description
`MockTemporaryQueue()`

### Method Summary

Methods
`void` `delete()`
`void` `setExpectedDeleteCalls(int callCount)`

### Methods inherited from class com.mockobjects.jms.MockQueue

`getQueueName, setupGetQueueName, setupThrowException, toString`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MockTemporaryQueue

    public MockTemporaryQueue()

### Method Detail

#### delete

    public void delete()
                throws JMSException

Throws:
  `JMSException`

#### setExpectedDeleteCalls

    public void setExpectedDeleteCalls(int callCount)